#ifndef USART1_H 
#define USART1_H 

//////////////////////////////////////////////////////////////////////////////////////////////////////
#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdio.h>
#include <stdlib.h>
#include <compat/deprecated.h>
#include "misc.h"
#include "servo.h"
#include "timers.h"
#include "usart0.h"

//////////////////////////////////////////////////////////////////////////////////////////////////////

#define COM_BUFFER_LENGTH 16


#define USART_1_BAUD 115200UL
//the baud rate of the bluetooth module


#define bluetooth_connection_established() bit_is_clear(PINB,0)
/*
This function checks wheter we are connected to a bluetooth device, or are in the AT command mode. 
*/




//////////////////////////////////////////////////////////////////////////////////////////////////////

//prototypes 
int usart1_putchar(char c, FILE *stream);
int usart1_getchar(FILE *stream);
void init_bluetooth();
unsigned char make_com_checksum(void);
unsigned char get_com_checksum(void);
//////////////////////////////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////////////////////////////////

//Global variables 
extern FILE usart1;
extern volatile unsigned char new_packet;
extern volatile unsigned char newchar;
/*
The file we can make as stdout.
*/



//////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
